<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Online Store</title>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">

    <!-- Tailwind CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/tailwindcss@2.0.1/dist/tailwind.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

    <style type="text/css">
        .p-4 {
            padding: 8px;
        }
    </style>
</head>

<body class="bg-gray-100">
<div class="fixed top-0 left-0 w-full bg-white shadow-lg z-10">
    <div class="container mx-auto py-4">
        <div class="flex justify-between items-center">
            <h1 class="text-3xl font-bold">Online Store</h1>
            <div class="w-auto">
                <button class="btn btn-primary" data-toggle="modal" data-target="#cartModal">
                    <i class="fas fa-shopping-cart"></i> View Cart
                    <span id="productCount" class="badge badge-light"></span>
                </button>
            </div>
        </div>
    </div>
</div>

<div class="container mx-auto mt-16">
    <div class="flex justify-center">
        <div class="w-full px-2 mb-4">
            <div class="bg-white rounded-lg shadow p-4">
                <h2 class="text-lg font-semibold mb-2">Product List</h2>
                <div id="productContainer" class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-4">
                    <!-- Products will be dynamically added here -->
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Cart Modal -->
<div class="modal fade" id="cartModal" tabindex="-1" aria-labelledby="cartModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="cartModalLabel">Shopping Cart</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="modal-body">
                    <table class="table">
                        <thead>
                        <tr>
                            <th>No.</th>
                            <th>Product Name</th>
                            <th>Quantity</th>
                            <th>Price</th>
                            <th>Product Price</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody id="cartTableBody">

                        </tbody>
                    </table>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" onclick="clearCart()">Clear Cart</button>
            </div>
        </div>
    </div>
</div>

<!-- JavaScript -->
<script type="module" src="app.js"></script>

<!-- Bootstrap JS -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/js/bootstrap.min.js"></script>



</body>

</html>
